Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Pedro Guimarães
    @tigreped
    OMG it will be so amazing. :D
    Pedro Guimarães
    @tigreped

    @tigreped Sorry I do not have any experienced in that regard. Maybe you should visit the Mapstore user /dev group? https://groups.google.com/g/mapstore-users ; https://groups.google.com/g/mapstore-developers

    This is the sort of behavior I'd like to apply to a map and all its layers: https://openlayers.org/en/latest/examples/extent-constrained.htm

    Alexandria Shreffler
    @aleshreffler

    I installed geonode 3.1 on windows, I followed all the steps mentioned in the tutorial, when I managed to launch geonode by paver start, I found that geoserver works normally but django does not launch it, and i get no error, is the problem in the pavement.py file or in my installation? after the launch of the command paver start the operation stops here : 2021-02-16 09:33:39.244:INFO:oejs.Server:main: Started @20831ms

    I am having a similar problem and uploading layers does not work for me. Some django function (prepare_database_save in base.py) is called for an object of the class SpatialRepresentationType before the layer is actually created in GeoServer. Creating maps and uploading other documents seems to work, so looks like the issue is specific for spatial layers, not a general database problem.

    Darko Nedic
    @Darkonyks
    Hi everyone, does anyone now how to update Layer Groups in Django container. I have no problem updating layer with command python manage.py updatelayers but how to update Layer groups? I did not find anything related in documentation. Thanx in advance.
    Pedro Guimarães
    @tigreped
    I was curious if maybe I could somehow force a fixed bounding box, for instance, in the maps/views.py that would apply to all the maps in the application, maybe it could reflect on a restricting map area... Anyone knows about this part of the code?
    Villa
    @villa101101
    whats the best way to update the list of allowed host for geonode, tried updating the it in the .env file but that did not work.
    Pedro Guimarães
    @tigreped
    Did you restart the django process after updating the list @villa101101 ?
    Villa
    @villa101101
    with the use of paver? yes
    Villa
    @villa101101
    Screenshot 2021-04-16 at 4.42.56 PM.png
    Has anyone managed to solve this issue on geonode? The issue causes the print map feature not to work.
    geotube
    @indeOWS
    Hi Developers
    I am running <pip install -r requirements.txt --upgrade --no-cache --no-cache-dir> while installing geonode-project@3.1.x and Running command git clone -q takes forever. Is this a normal behavior?
    geotube
    @indeOWS
    I am not sure if makes any sense, but I copied GeoNode_Core@3.1.X requirements.txt to GeoNode_Project@3.1.X base directory and installed all python venv required packages.
    geotube
    @indeOWS
    Hi developers, I just installed a new GeoNode-Project@3.2.X DevMode (Installed via Python env) instance and I am facing the following error while uploading a shapefile :
    Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message. Additional info: [Client Error: Bad Request
    [Errno 2] No such file or directory: '/home/geonode/.virtualenvs/my_geonode/src/geonode/geonode/static_root/tmpev_awad6']
    Alessio Fabiani
    @afabiani
    @indeOWS please run collectstatic mgmt command
    geotube
    @indeOWS
    @afabiani, Thank you very much. Collectstatic solved the problem.
    geotube
    @indeOWS
    Hi developers and users, I just installed a GeoNode-Project@2.3.x instance via Docker according to the guide in https://docs.geonode.org/en/master/install/basic/index.html. While uploading a shapefile, I am facing the following error message:
    Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message.
    Looking at django logs, I could not find any error report. Any help will be very appreciated
    geotube
    @indeOWS
    Regarding shapefile layer upload, nginx logs do not show any error, but it remains Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message
    geotube
    @indeOWS

    @indeOWS
    Hi all, I also ran geonode-project@3.1.x docker installation, while uploading a shapefile I am facing the following issue:
    Unexpected error! - error Error Code. Contact the system administrator for more information regarding this error message.
    Running python manage.py collectstatic did not solve the problem. It is actually showing another issue:
    Traceback (most recent call last):
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 204, in fetch_command
    app_name = commands[subcommand]
    KeyError: 'collectstatic'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/opt/geonode_custom/my_geonode/my_geonode/settings.py", line 33, in <module>
    from my_geonode.local_settings import *
    ModuleNotFoundError: No module named 'my_geonode.local_settings'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "manage.py", line 31, in <module>
    execute_from_command_line(sys.argv)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 381, in execute_from_command_line
    utility.execute()
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 211, in fetch_command
    settings.INSTALLED_APPS
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 79, in getattr
    self._setup(name)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 157, in init
    mod = importlib.import_module(self.SETTINGS_MODULE)
    File "/usr/lib/python3.8/importlib/init.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
    File "<frozen importlib._bootstrap>", line 991, in _find_and_load
    File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
    File "<frozen importlib._bootstrap_external>", line 783, in exec_module
    File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
    File "/opt/geonode_custom/my_geonode/my_geonode/settings.py", line 36, in <module>
    from geonode.settings import *
    ModuleNotFoundError: No module named 'geonode'

    geotube
    @indeOWS

    Hey, I am installing geonode-project according to guide https://docs.geonode.org/en/master/install/basic/index.html. By setting only HTTP_HOST= myIP in order to expose GeoNode in a Public IP, I am facing the following issues while uploading a layer [1] and [2] in the page console:

    [1]Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message.[2]Mixed Content: The page at 'https://10.0.0.200/layers/upload' was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint 'http://10.0.0.200/api/v2/uploads?filter{-state}=PROCESSED&page=1&page_size=99999'. This request has been blocked; the content must be served over HTTPS.

    Alessio Fabiani
    @afabiani
    HTTPS cannot be enabled for numeric IPs. You will need either using HTTP or get a public DNS associated to your IP.
    I remember this has been specified in the docs
    geotube
    @indeOWS
    @afabiani . I got it. it was my bad. The browser was caching https.
    Francisco Palm
    @map0logo

    Hi, I don't know if this is the right place for this question, if not I apologize.

    I want to develop an "as simple as possible" Geonode extension to load directly a File Geodatabase into Geonode, where could I start?

    The people making the request do not want to do the gdb to shp conversion using ogr2ogr, they want to load the gdb directly from the interface.

    I was checking the osgeo importer and it seems to be significantly out of date, as it is not migrated to Python 3.

    peng22
    @peng22
    Hello
    wish you a good day
    is there like a tutorial to deploy geonode on https instead of http?
    Villa
    @villa101101
    Good day, How do I show only layers in the search catalogue when creating a map ?
    Rebecca Dittmann
    @Saxas13_twitter

    Screenshot 2021-04-16 at 4.42.56 PM.png

    I encounter the same issue, is there a way to fix it in geonode 3.1?

    Villa
    @villa101101

    Screenshot 2021-04-16 at 4.42.56 PM.png

    I encounter the same issue, is there a way to fix it in geonode 3.1?

    You need to confirm that the print map request is going to the right address. You can confirm that the right geoserver address is been used in the geoserver/data/printing/config.yaml file

    Villa
    @villa101101
    Screenshot 2021-05-21 at 7.16.34 PM.png

    Screenshot 2021-05-21 at 7.16.34 PM.png

    Get this error when I try to print a map with a legend, on A4 portrait. I get this error only with these settings.

    Villa
    @villa101101

    @gannebamm @afabiani Do you have any suggestions on how to show only layers in the catalog section when creating a map ?

    Also, Getting an error on printing a map when i choose A4 paper size, with a legend on the same page in portrait mode.

    any assistance would be appreciated.

    Alessio Fabiani
    @afabiani
    @villa101101 about the catalog you need to update the code to 3.2.0 or 3.2.x
    the printing error might depends on a wrong geoserver printing layout
    I suggest to use the default one provided with the geoserver-geonode-ext war
    Villa
    @villa101101
    Screenshot 2021-05-28 at 11.17.26 AM.png
    @afabiani I have tried the conifg.yaml file you suggested and I am getting the same error.
    Villa
    @villa101101
    I am also using version 3.2.0 of Geonode
    I installed it on May 5th
    Villa
    @villa101101

    @afabiani I have tried the conifg.yaml file you suggested and I am getting the same error.

    If i understand the file structure properly, I believe it is a case where the configurations for those specific criteria I mentioned where not configured, unless its referred to as standard layout @afabiani

    Darko Nedic
    @Darkonyks
    Hi everyone. Does anyone knows how to change document permission on batch update? I will have more than 6000 documents, and I need to assign privileges to all documents to Registered members only. Is there a command to run in container or maybe a SQL update directly on table in PostGIS? Thank you in advance.
    Darko Nedic
    @Darkonyks
    image.png

    Hi everyone. Does anyone knows how to change document permission on batch update? I will have more than 6000 documents, and I need to assign privileges to all documents to Registered members only. Is there a command to run in container or maybe a SQL update directly on table in PostGIS? Thank you in advance.

    I find it in Django admin... Documents > Metadata Batch edit

    geotube
    @indeOWS

    Hi, I am still new to django/geonode-project. If there are new updates to the geonode core codebase, how would someone update their own codebase?

    Is this the proper way for a docker setup assuming the installation setup mentioned in the docs:

    geonode@ubuntu:/opt/geonode_custom/geonode-project$ git pull
    geonode@ubuntu:/opt/geonode_custom/my_geonode$ docker-compose -f docker-compose.yml build --no-cache

    I am trying to do the same thing. We had a fix for issue 7306 GeoNode/geonode#7306. I ran the commands according to https://docs.geonode.org/en/master/install/basic/index.html#update-geonode-core-to-the-latest-commit, and still having the issues with OGC Metadata Reference. Git status tells that Your branch is up to date with 'origin/master'. But the OGC reference metadata still there even after running makemigrations, migrate, collectstatic and restarting all containers.

    Could someone point me any direction please?
    Edgar Vitus Mlowe
    @Mloweedgar
    Hey guys can anyone help me with REST Geonode API. I want to access non-public layers using geonode rest API. but whenever I try to use basic auth I get cors. may be I should first Ask, does Geonode(3.2.0) rest API support basic authentication? Iam relatively new to Geonode, I will appriciated your support folks!!
    MatKDA
    @MatKDA

    Hi, after updating geonode to 3.2.1 (from git/pre-3.2.0), I'm getting a lot of these errors when uploading a layer:

    [geoserver.notification] - channel is already closed due to channel error; protocol method: #method<channel.close>(reply-code=406, reply-text=PRECONDITION_FAILED - inequivalent arg 'durable' for exchange 'geonode' in vhost '/': received 'false' but current is 'true', class-id=40, method-id=10)
    com.rabbitmq.client.AlreadyClosedException: channel is already closed due to channel error; protocol method: #method<channel.close>(reply-code=406, reply-text=PRECONDITION_FAILED - inequivalent arg 'durable' for exchange 'geonode' in vhost '/': received 'false' but current is 'true', class-id=40, method-id=10)

    1 reply
    cavernousguess
    @cavernousguess
    I've been experiencing failing backups with Geonode-Project 3.2x with an "Unable to serialize database error". Any insight would be appreciated, here's my description of the problem:
    GeoNode/geonode#7928
    Pratyush Das
    @Pratyush1991
    @cavernousguess Hello, I also had the same problem. It was fixed after I added these imports to backup.py script. At the top add django_jsonfield_backport.features import extend_features
    from django.db import connection
    Then add extend_features(connection) to function handle:
    def handle(self, **options):
    extend_features(connection))
    Pratyush Das
    @Pratyush1991
    image.png